<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Tombola extends Model
{
    protected $table = 'tombola';
    protected $fillable = [
        'numero', 
        'estratto', 
        'estratto_at', 
        'attivita_id', 
        'user_id',
        'created_at',
        'updated_at',
    ];
    
    protected $casts = [
        'numero' => 'integer',
        'estratto' => 'boolean',
        'estratto_at' => 'datetime',
        'attivita_id' => 'integer',
        'user_id' => 'integer',
    ];

    public function attivita()
    {
        return $this->belongsTo(Attivita::class, 'attivita_id', 'id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
